Summary: A text formatting package based on SGML
Name: linuxdoc-tools
Obsoletes: linuxdoc-sgml
Version: 0.9.73
Release: %mkrel 1
License: Copyright only
Group: Publishing
Url: https://gitlab.com/agmartin/linuxdoc-tools
Source: https://gitlab.com/agmartin/linuxdoc-tools/-/archive/%{version}/linuxdoc-tools-%{version}.tar.xz
Requires: jade
Requires: groff
Requires: latex
Requires: texinfo
BuildRequires:	flex
BuildRequires:	openjade
BuildRequires:	sgml-common
BuildRequires:	groff-for-man
Provides: sgml-tools
Provides: linuxdoc-sgml

%description
Linuxdoc-tools is a text formatting suite based on SGML (Standard
Generalized Markup Language), using the LinuxDoc document type.
Linuxdoc-tools allows you to produce LaTeX, HTML, GNU info, LyX, RTF,
plain text (via groff), and other format outputs from a single SGML
source.  Linuxdoc-tools is intended for writing technical software
documentation.

%prep
%setup -q
%apply_patches

%build

%configure2_5x --with-installed-nsgmls --with-installed-iso-entities --disable-docs

( cd entity-map
%configure2_5x --enable-docs pdf
)
%make_build

%install
%make_install perl5libdir=%{perl_vendorlib}

#Copy license files for parts into docdir
mkdir -p %{buildroot}%{_docdir}/%{name}/sgmls-1.1
cp -p sgmls-1.1/LICENSE %{buildroot}%{_docdir}/%{name}/sgmls-1.1/LICENSE
mkdir -p %{buildroot}%{_docdir}/%{name}/iso-entities
cp -p iso-entities/COPYING %{buildroot}%{_docdir}/%{name}/iso-entities/COPYING
mkdir -p %{buildroot}%{_docdir}/%{name}/entity-map
cp -p entity-map/COPYING %{buildroot}%{_docdir}/%{name}/entity-map/COPYING
cp -p COPYING %{buildroot}%{_docdir}/%{name}

# Some files need moving around.
rm -f %{buildroot}%{_datadir}/%{name}/epsf.*
rm -f %{buildroot}%{_datadir}/%{name}/url.sty
install -d %{buildroot}%{_datadir}/texmf/tex/latex/misc
mv %{buildroot}%{_datadir}/%{name}/*.sty \
    %{buildroot}%{_datadir}/texmf/tex/latex/misc

%post
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash > /dev/null 2>&1
exit 0

%postun
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash > /dev/null 2>&1
exit 0

%files
%doc %{_docdir}/%{name}
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/entity-map
%{_datadir}/texmf/tex/latex/misc/*.sty
%{perl_vendorlib}/Text/EntityMap.pm
%{perl_vendorlib}/LinuxDocTools.pm
%{perl_vendorlib}/LinuxDocTools
%{_mandir}/*/*



%changelog
* Fri Oct 08 2021 tex - 0.9.73-1pclos2021
- new version for new poppler/icu

* Sat Jul 15 2017 bb2 <bb2> - 0.9.21-8pclos2017
- rebuild against updates

* Mon Nov 08 2010 Texstar <texstar at gmail.com> 0.9.21-7pclos2010
- update for 2010 release

